## org.gnu.atk
Class RelationSet

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.atk.RelationSet

public class RelationSet
extends GObject

Constructor Summary
`RelationSet()` Create a new empty RelationSet

Method Summary
`void` `add(Relation relation)` Add a new relation to the current relation set if it is not already present.
`void` `add(RelationType type, AtkObject target)`
`boolean` `contains(RelationType relationship)` Determines whether the relation set contains a relation that matches the specified type.
`int` `getNumRelations()`
`Relation` `getRelation(int index)`
`Relation` `getRelationByType(RelationType type)`
`void` `remove(Relation relation)` Remove a relation from the relation set.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationSet

    public RelationSet()

  Create a new empty RelationSet

Method Detail

### add

    public void add(Relation relation)

  Add a new relation to the current relation set if it is not already present.

### add

    public void add(RelationType type,
                    AtkObject target)

### remove

    public void remove(Relation relation)

  Remove a relation from the relation set.

### contains

    public boolean contains(RelationType relationship)

  Determines whether the relation set contains a relation that matches the specified type.

### getNumRelations

    public int getNumRelations()

### getRelation

    public Relation getRelation(int index)

### getRelationByType

    public Relation getRelationByType(RelationType type)